# Class BonjourService

java.lang.Object
com.codename1.io.bonjour.BonjourService

public final class BonjourService extends Object
A Bonjour / mDNS service discovered by `BonjourBrowser` or registered by `BonjourPublisher`. Immutable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BonjourService(String name, String type, String host, int port, Map<String,String> txt)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHost()`
  Resolved host.
  `String`
  `getName()`
  User-visible service name.
  `int`
  `getPort()`
  Service port.
  `Map<String,String>`
  `getTxt()`
  TXT-record metadata.
  `String`
  `getType()`
  mDNS service type (e.g. `_http._tcp.`).
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BonjourService

    public BonjourService(String name, String type, String host, int port, Map<String,String> txt)

- ## Method Details

  - ### getName

    public String getName()
    User-visible service name. May include a numeric suffix added by the platform to resolve name collisions on the subnet.

  - ### getType

    public String getType()
    mDNS service type (e.g. `_http._tcp.`).

  - ### getHost

    public String getHost()
    Resolved host. Either a dotted-quad IPv4, an IPv6 literal in square brackets, or a `.local.` hostname. `null` if the service is announced but the address has not been resolved yet.

  - ### getPort

    public int getPort()
    Service port.

  - ### getTxt

    public Map<String,String> getTxt()
    TXT-record metadata. Always non-null; may be empty.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`